commit:     8da9ef831258f6e9e9f57c9591e30b5c289a0452
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 12 04:08:45 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar 12 05:07:53 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8da9ef83

dev-python/hypothesis: Bump to 6.99.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/hypothesis/Manifest                 |  1 +
 dev-python/hypothesis/hypothesis-6.99.4.ebuild | 90 ++++++++++++++++++++++++++
 2 files changed, 91 insertions(+)

diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 17d46440bcaa..b143a4ef09d1 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -4,3 +4,4 @@ DIST hypothesis-6.98.18.gh.tar.gz 9434436 BLAKE2B 
45861775caa1657d06469fc8cd0062
 DIST hypothesis-6.98.9.gh.tar.gz 9427046 BLAKE2B 
c3705e4c780b6e7f427943231ac056f343e70569e88391f118383e6d6197f72e744306476f2e1994e8a6d95dce73b93dcd49e8fa197149e532b84c91bce79594
 SHA512 
1e8a0dcefb8def8376a0ad6549a58dac66470941e4a3584ba82867f8779fd941c141039f631f15f134f7cdb3beb2ad1a19312d8e56c47db9ace0569f203afaf3
 DIST hypothesis-6.99.0.gh.tar.gz 9439501 BLAKE2B 
9f46cffaede22381a019a4f7c0b158015f245bf25bc3623090c45c177f57c1cb74fd09a0f01e98d06039a641e486e0cf1ccc10da6f79ebff13914c1197f0fbd7
 SHA512 
19500c9e0013d4ef4c6b3991d606860e819eb69e68a6975a0c4d225424fe12f44e05662eac0c94f54c6995b12bb73e48d936fc2342a92f3b26760db8ad279ba3
 DIST hypothesis-6.99.2.gh.tar.gz 9439856 BLAKE2B 
0e7b99ee43ae84b4536f687324c334d7846766ec3422712cc0e215ebed113a3ed270b2fee70322edd5931e6a57c04092566846846e8a2df8587a2d6bd7f33e34
 SHA512 
ad833e8e4e5a228d06723ba76e80b7e88b849b51b298c2c0b58e82e9409961a212f85530a8e3f06e9e09ca2ebcc8ebd2e1e4992e50a37ba9f692a398aef699fa
+DIST hypothesis-6.99.4.gh.tar.gz 9440865 BLAKE2B 
aa7e37077f59e0aa46c83067d9bda8aa72a9d5129c843fe170799c8bf0debee8bb5ff9a757ee67f6b9a858d186a92b3de978c21209a107d3f5ed44905c2cf2db
 SHA512 
bb1ac9d2881a3577a07cd396c01be5e96bfe45e2a0254a8dc2c51a86718fd225e04943a6e451a015378fe2f813621b2a7e9fd4b757d180bdae5cb3a6d7b7133b

diff --git a/dev-python/hypothesis/hypothesis-6.99.4.ebuild 
b/dev-python/hypothesis/hypothesis-6.99.4.ebuild
new file mode 100644
index 000000000000..f7f366381e4f
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.99.4.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+       https://github.com/HypothesisWorks/hypothesis/
+       https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+       https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+       >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+       >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+       ' 3.9 3.10)
+       cli? (
+               $(python_gen_cond_dep '
+                       dev-python/black[${PYTHON_USEDEP}]
+                       dev-python/click[${PYTHON_USEDEP}]
+               ' "${CLI_COMPAT[@]}")
+       )
+"
+BDEPEND="
+       test? (
+               dev-python/pexpect[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+               !!<dev-python/requests-toolbelt-0.10.1
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       # subtests are broken by warnings from random plugins
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+       local -x HYPOTHESIS_NO_PLUGINS=1
+
+       # NB: paths need to be relative to pytest.ini,
+       # i.e. start with hypothesis-python/
+       local EPYTEST_DESELECT=()
+       case ${EPYTHON} in
+               pypy3)
+                       EPYTEST_DESELECT+=(
+                               # failing due to warnings from numpy/cython
+                               
hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+                       )
+                       ;;
+       esac
+
+       epytest -o filterwarnings= -n "$(makeopts_jobs)" --dist=worksteal \
+               tests/cover tests/pytest tests/quality
+}
+
+python_install() {
+       distutils-r1_python_install
+       if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+               rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+       fi
+}
+
+pkg_postinst() {
+       optfeature "datetime support" dev-python/pytz
+       optfeature "dateutil support" dev-python/python-dateutil
+       optfeature "numpy support" dev-python/numpy
+       optfeature "django support" dev-python/django dev-python/pytz
+       optfeature "pandas support" dev-python/pandas
+       optfeature "pytest support" dev-python/pytest
+}

Reply via email to